html, body {
    background-color: #ffffff;
    font-display: swap;
    text-align: left;
    font-family: inter, Arial, Helvetica, sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}

@font-face {
    font-family: inter;
    src: url(Fonts/Inter/Inter-VariableFont_opsz\,wght.ttf);
}

#landing-page {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
    margin-top: 2.5vh;
}

#title-section {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#main-heading {
    width: 100%;
    text-align: center;
    font-size: 2.25rem;
    font-weight: 600;
    margin: 5px;
}

#main-subheading {
    width: 100%;
    text-align: center;
    font-size: 1.75rem;
    font-weight: 400;
    margin: 5px;
}

#logo {
    width: 40%;
    max-height: 350px;
    max-width: 350px;
    margin: 10% 0;
    object-fit: contain;
    border-radius: 50%;
}

#custom-message {
    width: 90%;
    text-align: center;
    font-weight: 400;
}

#landing-page-price {
    width: 100%;
    text-align: center;
    font-size: 2rem;
    font-weight: 600;
}

#scroll {
    transform: translate(-50%, -50%);
    transform: rotate(-90deg);
    text-align: center;
    margin: 0;
    color: #000000;
    font-size: 75px;
    bottom: -20px;
    position: absolute;
    opacity: 80%;
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    align-content: center;
}

.section {
    display: flex;
    flex-direction: column;
    width: 90%;
}

.body-text {
    width: 90%;
    font-size: 1.5rem;
    margin: 0;
}

.body-text a {
    color: #000000;
    font-weight: 600;
}

.section-heading {
    width: 90%;
    margin: 40px 0 20px;
}

#info-text {
    width: 90%;
}

#info-text li {
    margin: 10px 0;
}

/* SLIDESHOW */

.slideshow-container {
    width: 95%;
    max-width: 95%;
    max-height: 300px;
    position: relative;
    background-color:rgba(0, 0, 0, 1);
}

#slideshowImage {
    display: flex;
}

#slideshowImage img {
    width: auto;
    height: 300px;
    max-width: 100%;
    object-fit: contain;
    margin: 0 auto;
    align-self: center;
}

.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 30px;
    transition: 0.6s ease;
    background-color: rgba(0, 0, 0, 0.4);
    user-select: none;
}

.prev {
    left: 0;
    border-radius: 0 3px 3px 0;
}

.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

.prev:hover, .next:hover {
    background-color: rgba(0, 0, 0, 0.6);
}

#caravan-text {
    color: #000000;
    font-size: 1rem;
    padding: 8px 12px;
    background-color: #ffffff;
    position: absolute;
    bottom: 8px;
    left: 0;
    width: auto;
    text-align: center;
}

/* FORM */

.form {
    text-align: center;
    align-self: center;
    margin: 50px 10px;
    font-size: 1.25rem;
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    padding-left: 25px;
    padding-right: 25px;
    padding-bottom: 25px;
    width: 90%;
    max-width: 400px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

#form-inputs {
    text-align: left;
}

form h2 {
    font-size: 2rem;
    margin: 20px 10px 0 10px;
}

#submit-button {
    font-size: 1.5rem;
    text-align: center;
    border: none;
    color: #000000;
    width: 120px;
    height: 40px;
    text-decoration: none;
    background-color: #eaa261;
    padding: 0 10px;
    margin: 5px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);
}

#submit-button:hover {
    background-color: #e9a86d;
    box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.19);
    cursor: pointer;
}

#form-input {
    margin: 10px 0;
}

form input, form textarea{
    border: 0;
    margin: 10px 0;
    padding: 10px;
    outline: none;
    background-color: #f0f0f0;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);
    resize: none;
}

#credit-input {
    width: 20%;
}

.form textarea {
    width: 50%;
}

#how-can-we-help-text-area {
    width: 80%;
}

/* BOTTOM NAV SECTION*/

.bottom-nav {
    text-align: center;
    position: relative;
    height: 80px;
    width: 100%;
    bottom: 0;
    background-color: #3d3d3d;
}

.bottom-nav a {
    color: #ffffff;
}

.bottom-nav a:hover {
    color: #f0f0f0;
}

#settings-link {
    position: absolute;
    right: 20px;
    bottom: 10px;
}

/* SETTINGS */

.settings-body {
    width: 90%;
    margin-bottom: 50px;
}

button {
    max-height: 40px;
    text-align: center;
    margin: 10px;
    border: 0;
    padding: 10px;
    outline: none;
    font-size: 1rem;
    background-color: #dadada;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

#custom-message-controls {
    display: flex;
    flex-direction: column;
    text-align: left;
    align-content: normal;
    align-items: normal;
}

#custom-message-controls input {
    margin: 5px 10px;
}

.custom-message-radio {
    margin: 10px;
}

#vacation {
    margin-left: 25px;
}

#custom-message-input {
    margin-left: 25px;
}

@media screen and (min-width: 375px) {
    #logo {
        width: 60%;
    }
}

@media screen and (min-width: 800px) {
    main {
        width: 60%;
    }

    #title-section {
        display: flex;
        flex-direction: row-reverse;
        align-items: center;
    }

    #headings {
        margin: 0 25px;
    }

    #logo {
        width: 30%;
        margin: 10px;
    }

    #main-heading {
        font-size: 3.5rem;
    }

    #main-subheading {
        font-size: 2.5rem;
    }

    #custom-message {
        width: 60%;
        margin: 40px 0 20px;
    }

    /* SLIDESHOW */
    
    .slideshow-container {
        height: 450px;
        width: 800px;
        max-height: 450px;
        max-width: 800px;
    }

    #slideshowImage img {
        height: 450px;
    }
}